import sumOfArray from "./arrays/sumOfArray";
import capitalize from "./strings/capitalize";
import filterArray from "./arrays/filterArray";
import getFactors from "./arrays/getFactors";
import getMid from "./numbers/getMid";
import isEven from "./numbers/isEven";
import isOdd from "./numbers/isOdd";
import isPrime from "./numbers/isPrime";
import isPalindrome from "./strings/isPalindrome";
import maxArray from "./arrays/maxArray";
import minArray from "./arrays/minArray";
import randomBoolean from "./randoms/randomBoolean";
import randomElementFrom from "./arrays/randomElementFrom";
import randomHex from "./randoms/randomHex";
import randomNumber from "./randoms/randomNumber";
import removeDuplicate from "./arrays/removeDuplicate";
import reverseString from "./strings/reverseString";
import reverseNumber from "./numbers/reverseNumber";
import shuffle from "./arrays/shuffle";
import randomString from "./randoms/randomString";
import randomColor from "./randoms/randomColor";
import randomHsl from "./randoms/randomHsl";
import isHappyNumber from "./numbers/isHappyNumber";
import randomPassword from "./randoms/randomPassword";
import rgbToHex from "./converts/rgbToHex";
import hexToRgb from "./converts/hexToRgb";
import rgbToHsl from "./converts/rgbToHsl";
// import hexToHsl from "./converts/hexToHsl";
// import hslToHex from "./converts/hslToHex";
import hslToRgb from "./converts/hslToRgb";
import removeInnerSpace from "./strings/removeInnerSpace";
import getBrowser from "./user/getBrowser";
import getMonths from "./user/getMonths";
import getWeeks from "./user/getWeeks";
import getDays from "./user/getDays";
import getHours from "./user/getHours";
import getMinutes from "./user/getMinutes";
import getSeconds from "./user/getSeconds";
import select from "./dom/select";

const functionality = {
  sumOfArray,
  capitalize,
  filterArray,
  getFactors,
  getMid,
  isEven,
  isOdd,
  isPrime,
  isPalindrome,
  maxArray,
  minArray,
  randomBoolean,
  randomElementFrom,
  randomHex,
  randomNumber,
  removeDuplicate,
  reverseString,
  reverseNumber,
  shuffle,
  randomString,
  randomColor,
  randomHsl,
  isHappyNumber,
  randomPassword,
  rgbToHex,
  hexToRgb,
  rgbToHsl,
  hslToRgb,
  removeInnerSpace,
  getBrowser,
  getMonths,
  getWeeks,
  getDays,
  getHours,
  getSeconds,
  getMinutes,
  select,
};

declare global {
  interface Window {
    functionality: typeof functionality;
  }
}
window.functionality = functionality;
export default functionality;
